# optimsimplex_gradientfv

Returns the simplex gradient of the function.

## Calling Sequence

                g = optimsimplex_gradientfv(opt, [fun, [method]])
                [g, data] = optimsimplex_gradientfv(opt, fun, method, data)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

fun

  The function to compute at vertices (optional).

  The `fun` function is expected to have the following input and output arguments:

                              y = myfunction (x)

methods

  The method to use to compute the simplex gradient (optional).

  Two methodes are available:

  - The "forward" method used the current simplex to compute the simplex gradient.

  - The "centered" method creates an intermediate reflected simplex and computes the average.

  If not provided, the default method is "forward".

data

  User-defined data passed to the function (optional).

  If `data` is provided, it is passed to the callback function both as an input and output argument. In that case, the function must have the following header :

                              [y, data] = myfunction (x, data)

  The data input parameter may be used if the function uses some additional parameters. It is returned as an output parameter because the function may modify the data while computing the function value. This feature may be used, for example, to count the number of times that the function has been called.

g

  A column vector of doubles.

## Description

The `optimsimplex_gradientfv` function returns the simplex gradient of the function.

## Example

    s1 = optimsimplex_new ();
    simplex = [
    3.  0.  0.
    4.  1.  0.
    5.  0.  2.
    ];
    s1 = optimsimplex_setall ( s1 , simplex );
    g = optimsimplex_gradientfv ( s1 );
    disp(g)

    s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_new
- optimsimplex_getallfv
- optimsimplex_setallfv